Subscribe Targets to an Image
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/actions/subscribeTargets
Subscribes targets to an image. Targets can be of the same release (for patching purposes) or can be of a lower release from which a direct upgrade path is available.
Request
Path Parameters
-
goldImageId(required): string
ID of the image
Supported Media Types
- application/json
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
allOf
SubscribeTargetsDetails
Details of subscription of targets
Nested Schema : SubscribeTargetsDetails
Type:
objectDetails of subscription of targets
Match All
Details of subscription of targets
Details of subscription of targets
Show Source
-
object
TargetList
List of targets
-
object
SubscribeTargetCommonDetails
Common details for subscription of a target to the image
Nested Schema : TargetList
Type:
objectList of targets
Show Source
-
targetList: array
targetList
Array of target names
-
targetType: string
Target typeExample:
oracle_database
Nested Schema : SubscribeTargetCommonDetails
Type:
objectCommon details for subscription of a target to the image
Show Source
-
isGimr: boolean
GIMR Flag
-
isNoCascade: boolean
Default Value:
falseFlag to indicate the subscription of PDBs in a CDB -
isStandbyAutoSubscribe: boolean
Default Value:
trueFlag to indicate the auto subscription of a standby database
Nested Schema : targetList
Type:
arrayArray of target names
Show Source
-
Array of:
string
Example:
db1, db2
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. Targets subscribed.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
allOf
GoldImageSubscribeTargets
Targets subscription response
Nested Schema : GoldImageSubscribeTargets
Type:
objectTargets subscription response
Match All
Targets subscription response
Show Source
-
object
GoldImageTargetsSubscriptionSummary
Targets subscription details
Nested Schema : GoldImageTargetsSubscriptionSummary
Type:
objectTargets subscription details
Show Source
-
failed: integer
Count of Failed targets
-
items: array
items
List of subscription summary
-
successful: integer
Count of Successful targets
-
total: integer
Count of Total targets
Nested Schema : items
Type:
arrayList of subscription summary
Show Source
-
Array of:
object SubscriptionSummary
Target subscription summary
Nested Schema : SubscriptionSummary
Type:
objectTarget subscription summary
Show Source
-
code: integer
HTTP status code
-
message: string
Message of subscription
-
targetId: string
ID of the targetExample:
01DB50F6963F0E39C72F8651DCC93A6A -
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Target typeExample:
oracle_database
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message